/*
 * Licensed Materials - Property of Rogue Wave Software, Inc. 
 * © Copyright Rogue Wave Software, Inc. 2014, 2015 
 * © Copyright IBM Corp. 2009, 2014
 * © Copyright ILOG 1996, 2009
 * All Rights Reserved.
 *
 * Note to U.S. Government Users Restricted Rights:
 * The Software and Documentation were developed at private expense and
 * are "Commercial Items" as that term is defined at 48 CFR 2.101,
 * consisting of "Commercial Computer Software" and
 * "Commercial Computer Software Documentation", as such terms are
 * used in 48 CFR 12.212 or 48 CFR 227.7202-1 through 227.7202-4,
 * as applicable.
 */

// the Rogue Wave JViews Diagrammer Framework
import ilog.views.diagrammer.*;

// the Rogue Wave JViews Diagrammer Framework
import ilog.views.diagrammer.application.*;

import ilog.views.util.IlvProductUtil;

// the Java AWT package
import java.awt.*;

// The Java Net package
import java.net.*;

// the Java Swing package
import javax.swing.*;
 
/**
 * A very simple example for the use of a Layout Algorithm.
 * It shows how to use graph layout directly with a diagram component.
 * It loads a idpr project that specifies which CSS style sheet and which
 * XML data file should be loaded.
 * The layout is fully specified in this style sheet.
 * It uses the functionality of IlvDiagrammerApplication to add the
 * default layout buttons.
 */
public class Sample1a extends IlvDiagrammerApplication
{
  private static final String graphLayoutProject = "data/Sample.idpr";

  public static void main(final String[] args)
  {
    // This sample uses JViews Diagrammer features. When deploying an
    // application that includes this code, you need to be in possession
    // of a Rogue Wave JViews Diagrammer Deployment license.
    IlvProductUtil.DeploymentLicenseRequired(
        IlvProductUtil.JViews_Diagrammer_Deployment);

    SwingUtilities.invokeLater(new Runnable() {
      public void run() {
        new Sample1a().init(args);
        
      }
    });
  }

  public Sample1a()
  {
    super(new String[]{
      "-title", "Graph Layout Diagrammer Demo - Link Layout",
      "-data", graphLayoutProject,
      "-edit"
    });
  }

  public void init(Container contentPane)
  {
    super.init(contentPane);

    getMenuBar().remove(getMenuBar().getFileMenu());
    getMenuBar().remove(getMenuBar().getEditMenu());
    getMenuBar().remove(getMenuBar().getOptionsMenu());

    IlvDiagrammerToolBar toolbar = getEditToolBar();

    toolbar.setActions(null);

    toolbar.addAction(IlvDiagrammerAction.layoutAllNodes);

    // Could be enabled to have an action that allows to layout selected nodes
    // toolbar.addAction(IlvDiagrammerAction.layoutSelectedNodes);
  }
}

